Bug 119609 - New Port: german/tipp10: A 10 finger touch typing learning
Summary: New Port: german/tipp10: A 10 finger touch typing learning
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-12 21:00 UTC by Heiner
Modified: 2008-02-21 12:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2008-01-12 21:00:06 UTC
TIPP10 is a free 10 finger touch typing trainer, published under the GPL.

The highlight: TIPP10 works intelligent. The dictation reacts on
individual errors of the user. Keys, which are wrongly typed often,
will be dictated more often.

Visual help, various keyboard layouts, numerous settings and the
possibility to create own exercise dictates are easing the learning
process.

Main features:
- Intelligent exercise lessons
- Free and own lessons
- Scrolling text and virtual keyboard for help
- Extensive customization
- Performance appraisal
- Support of alternate keyboard layouts
- Multi platform

WWW:www.tipp10.de

Fix: --Boundary-00=_mqSiHpr1Lmota+u
Content-Type: text/plain;
  charset="iso-8859-1";
  name="tipp10.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="tipp10.shar"



--Boundary-00=_mqSiHpr1Lmota+u----dmNQNiYBN1GjNGidNK5lKhrTu8W2dnjFngm6Uji4ZeXMHph8
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	.
#	./pkg-descr
#	./Makefile
#	./pkg-plist
#	./distinfo
#	./files
#	./files/patch-widget-keyboard.cpp
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XTIPP10 is a free 10 finger touch typing trainer, published under the GPL.
X
XThe highlight: TIPP10 works intelligent. The dictation reacts on
Xindividual errors of the user. Keys, which are wrongly typed often,
Xwill be dictated more often.
X
XVisual help, various keyboard layouts, numerous settings and the
Xpossibility to create own exercise dictates are easing the learning
Xprocess.
X
XMain features:
X- Intelligent exercise lessons
X- Free and own lessons
X- Scrolling text and virtual keyboard for help
X- Extensive customization
X- Performance appraisal
X- Support of alternate keyboard layouts
X- Multi platform
X
XWWW:www.tipp10.de
END-of-./pkg-descr
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# New ports collection makefile for:	tipp10
X# Date created:		2007-11-26
X# Whom:			Heiner <h.eichmann@gmx.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tipp10
XPORTVERSION=	2.0.1
XCATEGORIES=	german
XMASTER_SITES=	http://www.tipp10.de/inc/
XDISTNAME=	tipp10_source_v2-0-1
X
XMAINTAINER=	h.eichmann@gmx.de
XCOMMENT=	A 10 finger touch typing learning program
X
XBUILD_DEPENDS=	qmake-qt4:${PORTSDIR}/devel/qmake4
XRUN_DEPENDS=	${LOCALBASE}/lib/qt4/plugins/sqldrivers/libqsqlsqlite2.so:${PORTSDIR}/databases/qt4-sqlite-plugin \
X		${LOCALBASE}/lib/qt4/plugins/sqldrivers/libqsqlsqlite.so:${PORTSDIR}/databases/qt4-sqlite3-plugin
X
XUSE_QT_VER=	4
XUSE_ZIP=	yes
XWRKSRC=		${WRKDIR}/source
X
XMAKE_ENV?=	QTDIR=${QT_PREFIX}
XQMAKE?=	${LOCALBASE}/bin/qmake-qt4
XQMAKESPEC?=	${LOCALBASE}/share/qt4/mkspecs/freebsd-g++
X
Xdo-fetch:
X	@file=${DISTNAME}.zip;\
X	cd ${_DISTDIR};\
X	if [ ! -f $$file ]; then \
X		if [ -L $$file ]; then \
X			${ECHO_MSG} "=> ${_DISTDIR}/$$file is a broken symlink."; \
X			${ECHO_MSG} "=> Perhaps a filesystem (most likely a CD) isn't mounted?"; \
X			${ECHO_MSG} "=> Please correct this problem and try again."; \
X			exit 1; \
X		fi; \
X		if [ -f ${MD5_FILE} -a "x${NO_CHECKSUM}" = "x" ]; then \
X			_md5sum=`alg=MD5; ${DISTINFO_DATA}`; \
X			if [ -z "$$_md5sum" ]; then \
X				${ECHO_MSG} "=> $${DIR:+$$DIR/}$$file is not in ${MD5_FILE}."; \
X				${ECHO_MSG} "=> Either ${MD5_FILE} is out of date, or"; \
X				${ECHO_MSG} "=> $${DIR:+$$DIR/}$$file is spelled incorrectly."; \
X				exit 1; \
X			fi; \
X		fi; \
X		${ECHO_MSG} "=> $$file doesn't seem to exist in ${_DISTDIR}."; \
X		if [ ! -w ${DISTDIR} ]; then \
X		   ${ECHO_MSG} "=> ${DISTDIR} is not writable by you; cannot fetch."; \
X		   exit 1; \
X		fi; \
X		${ECHO_MSG} "=> Attempting to fetch from $${MASTER_SITES}."; \
X		cd ${DISTDIR} ; fetch -pRr -o $${file} ${MASTER_SITES}download.php?getfile=3 ;\
X	fi
X
Xdo-configure:
X	@cd ${WRKSRC} \
X	&&  ${SETENV} ${MAKE_ENV} ${QMAKE} -spec ${QMAKESPEC} \
X	INCLUDEPATH+=${X11BASE}/include
X
Xdo-install:
X	${INSTALL_DATA} -d ${DATADIR}/help/img
X	${INSTALL_DATA} -d ${DATADIR}/help/content
X	${INSTALL_PROGRAM} ${WRKSRC}/tipp10 ${DATADIR}
X	${INSTALL_DATA} ${WRKSRC}/tipp10v2.template ${WRKSRC}/license.txt ${WRKSRC}/wrong.wav ${DATADIR}
X	${INSTALL_DATA} ${WRKSRC}/help/content/* ${DATADIR}/help/content
X	${INSTALL_DATA} ${WRKSRC}/help/img/* ${DATADIR}/help/img
X	${INSTALL_DATA} ${WRKSRC}/help/index.html ${DATADIR}/help
X	${INSTALL_DATA} ${WRKSRC}/help/Thumbs.db ${DATADIR}/help
X	${LN} -s ${DATADIR}/tipp10 ${PREFIX}/bin
X
X.include <bsd.port.mk>
END-of-./Makefile
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
Xbin/tipp10
Xshare/tipp10/help/Thumbs.db
Xshare/tipp10/help/content/about.html
Xshare/tipp10/help/content/behaviour.html
Xshare/tipp10/help/content/characteristics.html
Xshare/tipp10/help/content/evaluation.html
Xshare/tipp10/help/content/help.html
Xshare/tipp10/help/content/helpdocs.html
Xshare/tipp10/help/content/installation.html
Xshare/tipp10/help/content/introduction.html
Xshare/tipp10/help/content/lessons.html
Xshare/tipp10/help/content/lessonsettings.html
Xshare/tipp10/help/content/license.html
Xshare/tipp10/help/content/runprogram.html
Xshare/tipp10/help/content/settings.html
Xshare/tipp10/help/content/support.html
Xshare/tipp10/help/content/training.html
Xshare/tipp10/help/content/update.html
Xshare/tipp10/help/img/Thumbs.db
Xshare/tipp10/help/img/arrow_left.png
Xshare/tipp10/help/img/arrow_right.png
Xshare/tipp10/help/img/h_comparison_table.png
Xshare/tipp10/help/img/h_desktop_mac.png
Xshare/tipp10/help/img/h_evaluation_attention.png
Xshare/tipp10/help/img/h_evaluation_chars.png
Xshare/tipp10/help/img/h_evaluation_formula_error.png
Xshare/tipp10/help/img/h_evaluation_formula_grade.png
Xshare/tipp10/help/img/h_evaluation_lessons.png
Xshare/tipp10/help/img/h_evaluation_lessons_filter.png
Xshare/tipp10/help/img/h_evaluation_progress.png
Xshare/tipp10/help/img/h_evaluation_progress_sort.png
Xshare/tipp10/help/img/h_evaluation_tabs.png
Xshare/tipp10/help/img/h_fingers.png
Xshare/tipp10/help/img/h_installer_exit.png
Xshare/tipp10/help/img/h_installer_language.png
Xshare/tipp10/help/img/h_installer_license.png
Xshare/tipp10/help/img/h_introduction.png
Xshare/tipp10/help/img/h_key_blue.png
Xshare/tipp10/help/img/h_key_green.png
Xshare/tipp10/help/img/h_key_greydark.png
Xshare/tipp10/help/img/h_key_greylight.png
Xshare/tipp10/help/img/h_key_red.png
Xshare/tipp10/help/img/h_key_yellow.png
Xshare/tipp10/help/img/h_lesson_open_theme.png
Xshare/tipp10/help/img/h_lesson_own_menu.png
Xshare/tipp10/help/img/h_lesson_own_menu_edit.png
Xshare/tipp10/help/img/h_lesson_own_new.png
Xshare/tipp10/help/img/h_lesson_own_ws.png
Xshare/tipp10/help/img/h_lesson_tabs.png
Xshare/tipp10/help/img/h_lesson_training_done.png
Xshare/tipp10/help/img/h_main_duration.png
Xshare/tipp10/help/img/h_main_empty.png
Xshare/tipp10/help/img/h_main_linux_cut.png
Xshare/tipp10/help/img/h_main_settings.png
Xshare/tipp10/help/img/h_program_shortcut.png
Xshare/tipp10/help/img/h_settings_database.png
Xshare/tipp10/help/img/h_settings_font.png
Xshare/tipp10/help/img/h_settings_mac.png
Xshare/tipp10/help/img/h_settings_other.png
Xshare/tipp10/help/img/h_settings_training.png
Xshare/tipp10/help/img/h_terminal_mac.png
Xshare/tipp10/help/img/h_training_first_char.png
Xshare/tipp10/help/img/h_training_progress.png
Xshare/tipp10/help/img/h_training_start.png
Xshare/tipp10/help/img/h_training_without_keyboard.png
Xshare/tipp10/help/img/h_update.png
Xshare/tipp10/help/img/h_update_mac.png
Xshare/tipp10/help/img/h_update_proxy.png
Xshare/tipp10/help/img/logo.png
Xshare/tipp10/help/img/tt_logo.png
Xshare/tipp10/help/index.html
Xshare/tipp10/license.txt
Xshare/tipp10/tipp10
Xshare/tipp10/tipp10v2.template
Xshare/tipp10/wrong.wav
X@dirrm share/tipp10/help/img
X@dirrm share/tipp10/help/content
X@dirrm share/tipp10/help
X@dirrm share/tipp10
END-of-./pkg-plist
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (tipp10_source_v2-0-1.zip) = 2e07a5222bdd43f85295288b86daed1d
XSHA256 (tipp10_source_v2-0-1.zip) = 8fe9f116d4df31f3ab4a22f104526783a72f8162c59d9156ef308e46a6885983
XSIZE (tipp10_source_v2-0-1.zip) = 1441904
END-of-./distinfo
echo c - ./files
mkdir -p ./files > /dev/null 2>&1
echo x - ./files/patch-widget-keyboard.cpp
sed 's/^X//' >./files/patch-widget-keyboard.cpp << 'END-of-./files/patch-widget-keyboard.cpp'
X--- widget/keyboard.cpp.orig	Tue Nov 27 22:06:05 2007
X+++ widget/keyboard.cpp	Tue Nov 27 22:07:15 2007
X@@ -293,7 +293,8 @@
X 		// Emit the help text of current key(s)
X 		emit statusRefreshed(statusText);
X     	// Call the paint event (refresh the keyboard)
X-		repaint();
X+		if (keyColoring || keyColoringStart)
X+			repaint();
X 	}
X }
X 
END-of-./files/patch-widget-keyboard.cpp
exit
Comment 1 Martin Wilke freebsd_committer 2008-01-13 00:02:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2008-02-21 11:51:24 UTC
miwi        2008-02-21 11:51:10 UTC

  FreeBSD ports repository

  Modified files:
    german               Makefile 
  Added files:
    german/tipp10        Makefile distinfo pkg-descr pkg-plist 
    german/tipp10/files  patch-widget-keyboard.cpp 
  Log:
  TIPP10 is a free 10 finger touch typing trainer, published under the GPL.
  
  The highlight: TIPP10 works intelligent. The dictation reacts on
  individual errors of the user. Keys, which are wrongly typed often,
  will be dictated more often.
  
  Visual help, various keyboard layouts, numerous settings and the
  possibility to create own exercise dictates are easing the learning
  process.
  
  Main features:
  - Intelligent exercise lessons
  - Free and own lessons
  - Scrolling text and virtual keyboard for help
  - Extensive customization
  - Performance appraisal
  - Support of alternate keyboard layouts
  - Multi platform
  
  WWW:www.tipp10.de
  
  PR:             ports/119609
  Submitted by:   Heiner <h.eichmann at gmx.de>
  
  Revision  Changes    Path
  1.65      +1 -0      ports/german/Makefile
  1.1       +40 -0     ports/german/tipp10/Makefile (new)
  1.1       +3 -0      ports/german/tipp10/distinfo (new)
  1.1       +12 -0     ports/german/tipp10/files/patch-widget-keyboard.cpp (new)
  1.1       +20 -0     ports/german/tipp10/pkg-descr (new)
  1.1       +79 -0     ports/german/tipp10/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2008-02-21 11:52:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!